<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/matcreateseqadj.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>matcreateseqadj.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for matcreateseqadj.c:</div>
<div class="dynsection">
<div class="center"><img src="matcreateseqadj_8c__incl.png" border="0" usemap="#util_2matcreateseqadj_8c_map" alt=""/></div>
<map name="util_2matcreateseqadj_8c_map" id="util_2matcreateseqadj_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="matcreateseqadj_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="matcreateseqadj_8c.html#ae33fb5e4bf8cbe9e2361e84f29a77d35">PREALLOC_DG</a>&nbsp;&nbsp;&nbsp;20</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a">matcreateseqadj</a> (int nvert, int nele, int *elevert, Mat *matout)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ae33fb5e4bf8cbe9e2361e84f29a77d35"></a><!-- doxytag: member="matcreateseqadj.c::PREALLOC_DG" ref="ae33fb5e4bf8cbe9e2361e84f29a77d35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PREALLOC_DG&nbsp;&nbsp;&nbsp;20</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="matcreateseqadj_8c_source.html#l00027">27</a> of file <a class="el" href="matcreateseqadj_8c_source.html">matcreateseqadj.c</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a75401ceb9e40834d9b15671f96a9c03a"></a><!-- doxytag: member="matcreateseqadj.c::matcreateseqadj" ref="a75401ceb9e40834d9b15671f96a9c03a" args="(int nvert, int nele, int *elevert, Mat *matout)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int matcreateseqadj </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>nvert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>nele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>elevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>matout</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="matcreateseqadj_8c_source.html#l00030">30</a> of file <a class="el" href="matcreateseqadj_8c_source.html">matcreateseqadj.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, and <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, and <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_cgraph.png" border="0" usemap="#matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_cgraph_map" alt=""></div>
<map name="matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_cgraph_map" id="matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="175,5,268,35"/><area shape="rect" id="node5" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="319,5,420,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_icgraph.png" border="0" usemap="#matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_icgraph_map" alt=""></div>
<map name="matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_icgraph_map" id="matcreateseqadj_8c_a75401ceb9e40834d9b15671f96a9c03a_icgraph">
<area shape="rect" id="node3" href="reorder_8c.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="173,59,280,90"/><area shape="rect" id="node13" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="347,111,480,142"/><area shape="rect" id="node5" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="328,5,499,35"/><area shape="rect" id="node16" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="353,58,473,89"/><area shape="rect" id="node7" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="547,58,613,89"/><area shape="rect" id="node9" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="663,58,721,89"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="771,58,821,89"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

